// CHECKSTYLE:OFF

package com.google.jenkins.plugins.storage;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Contents expire in {0} days
     * 
     */
    public static String ExpiringBucketLifecycleManager_DetailsMessage(Object arg1) {
        return holder.format("ExpiringBucketLifecycleManager.DetailsMessage", arg1);
    }

    /**
     * Contents expire in {0} days
     * 
     */
    public static Localizable _ExpiringBucketLifecycleManager_DetailsMessage(Object arg1) {
        return new Localizable(holder, "ExpiringBucketLifecycleManager.DetailsMessage", arg1);
    }

    /**
     * Encountered an exception during upload, attempt: {0}
     * 
     */
    public static String AbstractUpload_UploadError(Object arg1) {
        return holder.format("AbstractUpload.UploadError", arg1);
    }

    /**
     * Encountered an exception during upload, attempt: {0}
     * 
     */
    public static Localizable _AbstractUpload_UploadError(Object arg1) {
        return new Localizable(holder, "AbstractUpload.UploadError", arg1);
    }

    /**
     * Bucket name is empty
     * 
     */
    public static String AbstractUploadDescriptor_EmptyBucketName() {
        return holder.format("AbstractUploadDescriptor.EmptyBucketName");
    }

    /**
     * Bucket name is empty
     * 
     */
    public static Localizable _AbstractUploadDescriptor_EmptyBucketName() {
        return new Localizable(holder, "AbstractUploadDescriptor.EmptyBucketName");
    }

    /**
     * Unable to access the default object ACLs for bucket: {0}
     * 
     */
    public static String AbstractUpload_BucketObjectAclsError(Object arg1) {
        return holder.format("AbstractUpload.BucketObjectAclsError", arg1);
    }

    /**
     * Unable to access the default object ACLs for bucket: {0}
     * 
     */
    public static Localizable _AbstractUpload_BucketObjectAclsError(Object arg1) {
        return new Localizable(holder, "AbstractUpload.BucketObjectAclsError", arg1);
    }

    /**
     * Bucket name cannot contain multiple parts: {0}
     * 
     */
    public static String AbstractBucketLifecycleManagerDescriptor_MultiPartBucket(Object arg1) {
        return holder.format("AbstractBucketLifecycleManagerDescriptor.MultiPartBucket", arg1);
    }

    /**
     * Bucket name cannot contain multiple parts: {0}
     * 
     */
    public static Localizable _AbstractBucketLifecycleManagerDescriptor_MultiPartBucket(Object arg1) {
        return new Localizable(holder, "AbstractBucketLifecycleManagerDescriptor.MultiPartBucket", arg1);
    }

    /**
     * Bucket with expiring elements lifecycle
     * 
     */
    public static String ExpiringBucketLifecycleManager_DisplayName() {
        return holder.format("ExpiringBucketLifecycleManager.DisplayName");
    }

    /**
     * Bucket with expiring elements lifecycle
     * 
     */
    public static Localizable _ExpiringBucketLifecycleManager_DisplayName() {
        return new Localizable(holder, "ExpiringBucketLifecycleManager.DisplayName");
    }

    /**
     * You aren't authorized to upload files to this bucket.
     * 
     */
    public static String AbstractUpload_ForbiddenFileUpload() {
        return holder.format("AbstractUpload.ForbiddenFileUpload");
    }

    /**
     * You aren't authorized to upload files to this bucket.
     * 
     */
    public static Localizable _AbstractUpload_ForbiddenFileUpload() {
        return new Localizable(holder, "AbstractUpload.ForbiddenFileUpload");
    }

    /**
     * {0} (Build Log)
     * 
     */
    public static String StdoutUpload_DetailsMessage(Object arg1) {
        return holder.format("StdoutUpload.DetailsMessage", arg1);
    }

    /**
     * {0} (Build Log)
     * 
     */
    public static Localizable _StdoutUpload_DetailsMessage(Object arg1) {
        return new Localizable(holder, "StdoutUpload.DetailsMessage", arg1);
    }

    /**
     * Exception while performing upload
     * 
     */
    public static String AbstractUpload_UploadException() {
        return holder.format("AbstractUpload.UploadException");
    }

    /**
     * Exception while performing upload
     * 
     */
    public static Localizable _AbstractUpload_UploadException() {
        return new Localizable(holder, "AbstractUpload.UploadException");
    }

    /**
     * A log name is required
     * 
     */
    public static String StdoutUpload_LogNameRequired() {
        return holder.format("StdoutUpload.LogNameRequired");
    }

    /**
     * A log name is required
     * 
     */
    public static Localizable _StdoutUpload_LogNameRequired() {
        return new Localizable(holder, "StdoutUpload.LogNameRequired");
    }

    /**
     * Google Cloud Storage Upload Report
     * 
     */
    public static String AbstractGcsUploadReport_DisplayName() {
        return holder.format("AbstractGcsUploadReport.DisplayName");
    }

    /**
     * Google Cloud Storage Upload Report
     * 
     */
    public static Localizable _AbstractGcsUploadReport_DisplayName() {
        return new Localizable(holder, "AbstractGcsUploadReport.DisplayName");
    }

    /**
     * Uploading: {0}
     * 
     */
    public static String AbstractUpload_Uploading(Object arg1) {
        return holder.format("AbstractUpload.Uploading", arg1);
    }

    /**
     * Uploading: {0}
     * 
     */
    public static Localizable _AbstractUpload_Uploading(Object arg1) {
        return new Localizable(holder, "AbstractUpload.Uploading", arg1);
    }

    /**
     * [{0}] {1}
     * 
     */
    public static String UploadModule_PrefixFormat(Object arg1, Object arg2) {
        return holder.format("UploadModule.PrefixFormat", arg1, arg2);
    }

    /**
     * [{0}] {1}
     * 
     */
    public static Localizable _UploadModule_PrefixFormat(Object arg1, Object arg2) {
        return new Localizable(holder, "UploadModule.PrefixFormat", arg1, arg2);
    }

    /**
     * Found {0} files to upload from pattern: {1}
     * 
     */
    public static String ClassicUpload_FoundForPattern(Object arg1, Object arg2) {
        return holder.format("ClassicUpload.FoundForPattern", arg1, arg2);
    }

    /**
     * Found {0} files to upload from pattern: {1}
     * 
     */
    public static Localizable _ClassicUpload_FoundForPattern(Object arg1, Object arg2) {
        return new Localizable(holder, "ClassicUpload.FoundForPattern", arg1, arg2);
    }

    /**
     * Classic Upload
     * 
     */
    public static String ClassicUpload_DisplayName() {
        return holder.format("ClassicUpload.DisplayName");
    }

    /**
     * Classic Upload
     * 
     */
    public static Localizable _ClassicUpload_DisplayName() {
        return new Localizable(holder, "ClassicUpload.DisplayName");
    }

    /**
     * Resolved storage location must begin with {1}, saw: {0}
     * 
     */
    public static String AbstractUploadDescriptor_BadPrefix(Object arg1, Object arg2) {
        return holder.format("AbstractUploadDescriptor.BadPrefix", arg1, arg2);
    }

    /**
     * Resolved storage location must begin with {1}, saw: {0}
     * 
     */
    public static Localizable _AbstractUploadDescriptor_BadPrefix(Object arg1, Object arg2) {
        return new Localizable(holder, "AbstractUploadDescriptor.BadPrefix", arg1, arg2);
    }

    /**
     * Jenkins GCS Uploader
     * 
     */
    public static String UploadModule_AppName() {
        return holder.format("UploadModule.AppName");
    }

    /**
     * Jenkins GCS Uploader
     * 
     */
    public static Localizable _UploadModule_AppName() {
        return new Localizable(holder, "UploadModule.AppName");
    }

    /**
     * An error occured preparing to use the provided credential remotely
     * 
     */
    public static String AbstractUpload_RemoteCredentialError() {
        return holder.format("AbstractUpload.RemoteCredentialError");
    }

    /**
     * An error occured preparing to use the provided credential remotely
     * 
     */
    public static Localizable _AbstractUpload_RemoteCredentialError() {
        return new Localizable(holder, "AbstractUpload.RemoteCredentialError");
    }

    /**
     * No artifacts found matching pattern: {0}
     * 
     */
    public static String ClassicUpload_NoArtifacts(Object arg1) {
        return holder.format("ClassicUpload.NoArtifacts", arg1);
    }

    /**
     * No artifacts found matching pattern: {0}
     * 
     */
    public static Localizable _ClassicUpload_NoArtifacts(Object arg1) {
        return new Localizable(holder, "ClassicUpload.NoArtifacts", arg1);
    }

    /**
     * Invalid character in pattern: {0} ({1})
     * 
     */
    public static String ClassicUpload_BadGlobChar(Object arg1, Object arg2) {
        return holder.format("ClassicUpload.BadGlobChar", arg1, arg2);
    }

    /**
     * Invalid character in pattern: {0} ({1})
     * 
     */
    public static Localizable _ClassicUpload_BadGlobChar(Object arg1, Object arg2) {
        return new Localizable(holder, "ClassicUpload.BadGlobChar", arg1, arg2);
    }

    /**
     * exception fetching/creating bucket: {0}
     * 
     */
    public static String AbstractUpload_ExceptionGetBucket(Object arg1) {
        return holder.format("AbstractUpload.ExceptionGetBucket", arg1);
    }

    /**
     * exception fetching/creating bucket: {0}
     * 
     */
    public static Localizable _AbstractUpload_ExceptionGetBucket(Object arg1) {
        return new Localizable(holder, "AbstractUpload.ExceptionGetBucket", arg1);
    }

    /**
     * Invalid character in bucket: {0} ({1})
     * 
     */
    public static String AbstractUploadDescriptor_BadBucketChar(Object arg1, Object arg2) {
        return holder.format("AbstractUploadDescriptor.BadBucketChar", arg1, arg2);
    }

    /**
     * Invalid character in bucket: {0} ({1})
     * 
     */
    public static Localizable _AbstractUploadDescriptor_BadBucketChar(Object arg1, Object arg2) {
        return new Localizable(holder, "AbstractUploadDescriptor.BadBucketChar", arg1, arg2);
    }

    /**
     * Possible unresolved variable?
     * 
     */
    public static String AbstractUploadDescriptor_DollarSuggest() {
        return holder.format("AbstractUploadDescriptor.DollarSuggest");
    }

    /**
     * Possible unresolved variable?
     * 
     */
    public static Localizable _AbstractUploadDescriptor_DollarSuggest() {
        return new Localizable(holder, "AbstractUploadDescriptor.DollarSuggest");
    }

    /**
     * exception accessing storage service
     * 
     */
    public static String UploadModule_ExceptionStorageService() {
        return holder.format("UploadModule.ExceptionStorageService");
    }

    /**
     * exception accessing storage service
     * 
     */
    public static Localizable _UploadModule_ExceptionStorageService() {
        return new Localizable(holder, "UploadModule.ExceptionStorageService");
    }

    /**
     * Build Log Upload
     * 
     */
    public static String StdoutUpload_DisplayName() {
        return holder.format("StdoutUpload.DisplayName");
    }

    /**
     * Build Log Upload
     * 
     */
    public static Localizable _StdoutUpload_DisplayName() {
        return new Localizable(holder, "StdoutUpload.DisplayName");
    }

    /**
     * exception uploading file
     * 
     */
    public static String AbstractUpload_ExceptionFileUpload() {
        return holder.format("AbstractUpload.ExceptionFileUpload");
    }

    /**
     * exception uploading file
     * 
     */
    public static Localizable _AbstractUpload_ExceptionFileUpload() {
        return new Localizable(holder, "AbstractUpload.ExceptionFileUpload");
    }

    /**
     * Exception while resolving inclusions.
     * 
     */
    public static String AbstractUpload_IncludeException() {
        return holder.format("AbstractUpload.IncludeException");
    }

    /**
     * Exception while resolving inclusions.
     * 
     */
    public static Localizable _AbstractUpload_IncludeException() {
        return new Localizable(holder, "AbstractUpload.IncludeException");
    }

    /**
     * Invalid character in log name: {0} ({1})
     * 
     */
    public static String StdoutUpload_BadChar(Object arg1, Object arg2) {
        return holder.format("StdoutUpload.BadChar", arg1, arg2);
    }

    /**
     * Invalid character in log name: {0} ({1})
     * 
     */
    public static Localizable _StdoutUpload_BadChar(Object arg1, Object arg2) {
        return new Localizable(holder, "StdoutUpload.BadChar", arg1, arg2);
    }

    /**
     * Google Cloud Storage Uploader
     * 
     */
    public static String GoogleCloudStorageUploader_DisplayName() {
        return holder.format("GoogleCloudStorageUploader.DisplayName");
    }

    /**
     * Google Cloud Storage Uploader
     * 
     */
    public static Localizable _GoogleCloudStorageUploader_DisplayName() {
        return new Localizable(holder, "GoogleCloudStorageUploader.DisplayName");
    }

    /**
     * Exception while uploading files: {0}
     * 
     */
    public static String GoogleCloudStorageUploader_ExceptionDuringUpload(Object arg1) {
        return holder.format("GoogleCloudStorageUploader.ExceptionDuringUpload", arg1);
    }

    /**
     * Exception while uploading files: {0}
     * 
     */
    public static Localizable _GoogleCloudStorageUploader_ExceptionDuringUpload(Object arg1) {
        return new Localizable(holder, "GoogleCloudStorageUploader.ExceptionDuringUpload", arg1);
    }

    /**
     * File pattern is empty
     * 
     */
    public static String ClassicUpload_EmptyGlob() {
        return holder.format("ClassicUpload.EmptyGlob");
    }

    /**
     * File pattern is empty
     * 
     */
    public static Localizable _ClassicUpload_EmptyGlob() {
        return new Localizable(holder, "ClassicUpload.EmptyGlob");
    }

}
